FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridHomogeneousRayIntegrator

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkUnstructuredGridHomogeneousRayIntegrator performs homogeneous ray integration. This is a good method to use when volume rendering scalars that are defined on cells.

To create an instance of class vtkUnstructuredGridHomogeneousRayIntegrator, simply invoke its constructor as follows

      obj = vtkUnstructuredGridHomogeneousRayIntegrator

# Methods

The class vtkUnstructuredGridHomogeneousRayIntegrator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridHomogeneousRayIntegrator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridHomogeneousRayIntegrator = obj.NewInstance ()`
- `vtkUnstructuredGridHomogeneousRayIntegrator = obj.SafeDownCast (vtkObject o)`
- `obj.Initialize (vtkVolume volume, vtkDataArray scalars)`
- `obj.Integrate (vtkDoubleArray intersectionLengths, vtkDataArray nearIntersections, vtkDataArray farIntersections, float color[4])`
- `obj.SetTransferFunctionTableSize (int )` - For quick lookup, the transfer function is sampled into a table. This parameter sets how big of a table to use. By default, 1024 entries are used.
- `int = obj.GetTransferFunctionTableSize ()` - For quick lookup, the transfer function is sampled into a table. This parameter sets how big of a table to use. By default, 1024 entries are used.